gnutls_x509_crt_import_pkcs11(3)

NAME
gnutls_x509_crt_import_pkcs11 - API function

SYNOPSIS
#include <gnutls/pkcs11.h>

int gnutls_x509_crt_import_pkcs11(gnutls_x509_crt_t crt, gnutls_pkcs11_obj_t pkcs11_crt);

ARGUMENTS

gnutls_x509_crt_t crt
    A certificate of type gnutls_x509_crt_t

gnutls_pkcs11_obj_t pkcs11_crt
    A PKCS 11 object that contains a certificate

DESCRIPTION
This function will import a PKCS 11 certificate to a gnutls_x509_crt_t structure.

RETURNS
On success, GNUTLS_E_SUCCESS (0) is returned, otherwise a negative error value.

SINCE
2.12.0

REPORTING BUGS
Report bugs to <bugs@gnutls.org>.
Home page: http://www.gnutls.org

COPYRIGHT
Copyright © 2001-2017 Free Software Foundation, Inc., and others.
Copying and distribution of this file, with or without modification, are permitted in any medium without royalty provided the copyright notice and this notice are preserved.

SEE ALSO
The full documentation for gnutls is maintained as a Texinfo manual. If the /usr/share/doc/gnutls/ directory does not contain the HTML form visit

http://www.gnutls.org/manual/